Bug 496150 - Export HOST UUID through SMBIOS to show in guest dmidecode
Export HOST UUID through SMBIOS to show in guest dmidecode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.3
All Linux
high Severity urgent
: rc
: ---
Assigned To: Eduardo Habkost
: FutureFeature
Depends On: 496147
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 16:44 EDT by Daniel Riek
Modified: 2015-08-23 10:57 EDT (History)
7 users (show)

See Also:
Fixed In Version: kvm-83-39.el5
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 496147
Environment:
Last Closed: 2009-09-02 05:26:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
riek: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Daniel Riek 2009-04-16 16:44:19 EDT
+++ This bug was initially created as a clone of Bug #496147 +++

This request is to in addition to the guest's UUID also export the *host's* UUID through the SMBIOS to the guest.

This is needed in order to establish RHN business rules that will allow using a *guest* centric model, in which the host is *not* registered in RHN. 

The the current model for identifying virtual guests and the entitlement they should be consuming, relies on the host itself being registered in RHN and then comparing the guest UUIDS it reports with the actual guests registering. That does not work for a model where the hosts are not registered or are even not able to communicate outside a locked-down management network.

The premier use case is RHEV-H, where the host is not registered in RHN. Other use-cases might include other virtualization platforms.

RHN would use the host UUID to find guests sharing a host.

A requirement for this is, that the SMBIOS reflects the host the guest is actually running on (vs. the one it was booted on and the possibly migrated away from).
Comment 1 Eduardo Habkost 2009-06-04 17:41:59 EDT
Patch for bug #496147 was included on RHEL-5-OVIRT branch on kvm-83-43.el5ovirt, and the patch was pulled to the RHEL-5 branch on kvm-83-39.el5 (bug #501729).
Comment 6 Suqin Huang 2009-07-30 05:11:28 EDT
start vm with the following command:

# /usr/libexec/qemu-kvm -drive 
file=/data/images/rhel5.4-64.virtio,if=virtio,cache=off,index=0,boot=on \
-no-hpet -usbdevice tablet -rtc-td-hack -smp 2 -m 2G -uuid `uuidgen` \
-net nic,model=virtio,macaddr=00:66:ED:08:85:DF,vlan=0 -net
tap,vlan=0,script=/etc/qemu-ifup -cpu qemu64,+sse2 \
-boot c -vnc :6 \
-smbios type=0,vendor=RedHat,version=RHEV2.1,release=2.1 \
-smbios type=1,manufacturer="Red
Hat",product=RHEV,version=2.1,serial=44454C4C-4800-1032-8033-C4C04F4D3258,sku=SKU

and get the following info:
[root@localhost ~]# dmidecode -t 1
# dmidecode 2.9
SMBIOS 2.4 present.

Handle 0x0100, DMI type 1, 27 bytes
System Information
 Manufacturer: Red Hat
 Product Name: RHEV
 Version: 2.1
 Serial Number: 44454C4C-4800-1032-8033-C4C04F4D3258
 UUID: 07FC96D7-7A2A-4A1C-B79C-394FACEFCE9E
 Wake-up Type: Power Switch
 SKU Number: SKU
 Family: Not Specified


is it the result wanted?
Comment 7 Suqin Huang 2009-08-07 01:27:20 EDT
Change the status to *VERIFIED*.
Comment 9 errata-xmlrpc 2009-09-02 05:26:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1272.html

Note You need to log in before you can comment on or make changes to this bug.